%%%  This file replicates Figures 1, 2, 3, and B1 for "Sovereign Debt and
%    Structural Reforms" by Andreas Mueller, Kjetil Storesletten, and 
%    Fabrizio Zilibotti.
%
% Notes:
% - created with Matlab R2017a
% - requires Matlab's built-in function fnxtr from the Curve fitting toolbox
% - running this script can take a few minutes, just follow the progress in
% the command window and wait until the figures pop up.

%% Figures 1 and 2:

tic;

% note:
% running this script can take some minutes

% call script that computes and plots the planner allocations
run 'Two assets with moral hazard\Planner\main.m'

%% Figure 3:

% call script that computes and plots the decentralized economies
run 'Two assets with moral hazard\Decentralization\main.m'

%% Figure B1:

% call script that computes and plots the decentralized economies
run 'One asset no renegotiation\main.m'

clc;
fprintf('Done with replication.\n');

% print elapsed time
toc;